Bug 1275563 - [online_private_489]/app/status page could not be redirected to URL specified by the STATUSPAGE_LINK_URL setting
[online_private_489]/app/status page could not be redirected to URL specified...
Status: CLOSED WONTFIX
Product: OpenShift Online
Classification: Red Hat
Component: Management Console (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Abhishek Gupta
yapei
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-27 05:09 EDT by Wei Sun
Modified: 2017-05-31 14:22 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-05-31 14:22:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wei Sun 2015-10-27 05:09:09 EDT
Description of problem:
Add outage json to /var/www/html ,and then set STATUSPAGE_JSON_URL and STATUSPAGE_LINK_URL in console-devenv.conf.After restating the site service,on the /app/login , I could see the outage information and on the /app/console pages I could see the link to point to the URL specified by the STATUSPAGE_LINK_URL setting.

But when I access /app/status ,the page is not redirected to the URL specified by the STATUSPAGE_LINK_URL setting

Version-Release number of selected component (if applicable):
devenv_5685

How reproducible:
Always

Steps to Reproduce:
1.Add outage json file to /var/www/html
2.Set STATUSPAGE_JSON_URL and STATUSPAGE_LINK_URL in console-devenv.conf ,and restart rhc-site

STATUSPAGE_JSON_URL=https://broker-ip/summary.json
STATUSPAGE_LINK_URL=https://test-status.openshift.com/

3.Access the /app/status


Actual results:
3.Could not be redirected to https://test-status.openshift.com/

Expected results:
Should redirect /app/status/ to https://test-status.openshift.com/

Additional info:
Comment 1 Miciah Dashiel Butler Masters 2015-11-09 18:06:14 EST
PR: https://github.com/openshift/li/pull/3075

The fix is merged, so it should be in the next devenv.
Comment 2 Wei Sun 2015-11-10 00:20:54 EST
Now /app/status page has redirected to https://status.openshift.com/.

Verified this bug in devenv_5702
Comment 3 Eric Paris 2017-05-31 14:22:11 EDT
We apologize, however, we do not plan to address this report at this time. The majority of our active development is for the v3 version of OpenShift. If you would like for Red Hat to reconsider this decision, please reach out to your support representative. We are very sorry for any inconvenience this may cause.

Note You need to log in before you can comment on or make changes to this bug.